Summary:	MPlayer frontend for KDE
Name:		kplayer
Version:	0.6.1
Release:	%mkrel 1
License:	GPL
Group:		Video
Url:		http://kplayer.sourceforge.net/
Source:	        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2	
BuildRequires:	libarts-devel 
BuildRequires:  libvorbis-devel
BuildRequires:	libmad-devel 
BuildRequires:  nas-devel 
BuildRequires:	kdelibs-devel 
BuildRequires:  libart_lgpl-devel	
%ifarch x86_64
Buildrequires:	chrpath
%endif
Requires:	mplayer
Requires:       kdelibs-common
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KPlayer is a KDE media player based on MPlayer. With KPlayer 
you can easily play a wide variety of video and audio files 
and streams using a rich and friendly interface that
follows KDE standards.

Features include

    * video, audio and subtitle playback from file,
       URL, DVD, VCD, audio CD, TV, DVB, etc.,
       as well as KDE I/O Slaves;
    * volume, contrast, brightness, hue and saturation controls;
    * zooming, full screen and fixed aspect options;
    * status and progress display and seeking;
    * playlist;
    * message log;
    * configuration dialog;
    * file properties for setting file specific options.

KPlayer is available in Catalonian, Czech, Danish, English,
Finnish, French, German, Hungarian, Italian, Polish, Russian, 
Simplified Chinese and Spanish. 

%prep
%setup -q


%build
make -f Makefile.dist

%configure2_5x \
	--disable-rpath \
	--enable-nmcheck
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/%{name}
chrpath -d %{buildroot}%{_libdir}/kde3/libkplayerpart.so
%endif

mkdir -p %{buildroot}%{_menudir}

kdedesktop2mdkmenu.pl %{name} "Multimedia/Video" %{buildroot}%{_datadir}/applications/kde/kplayer.desktop %{buildroot}%{_menudir}/%{name}

#Menu icons
install -D -m 644 kplayer/hi16-app-%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 kplayer/hi32-app-%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 kplayer/hi32-app-%{name}.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_docdir}/*/*/%{name}
%attr(755,root,root) %{_bindir}/kplayer
%attr(755,root,root) %{_libdir}/kde3/*.la
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_menudir}/kplayer
%{_iconsdir}/kplayer.png
%{_liconsdir}/kplayer.png
%{_miconsdir}/kplayer.png
%{_datadir}/applications/kde/%{name}.desktop
%dir %{_datadir}/apps/kplayer
%{_datadir}/apps/kplayer/icons/hicolor/*/*/*.png
%{_datadir}/apps/kplayer/*.rc
%{_datadir}/apps/kplayer/*.conf
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/locolor/*/*/*.png
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/services/kplayerpart.desktop


%changelog
* Mon Mar 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2007.0
+ Revision: 133013
- new version

* Sat Jan 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 114246
- new version 0.6.0
- clean requires and buildrequires
- fix build
- remove rpath for x86_64
- spec file clean

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - clean File List

* Mon Jul 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.3-5mdv2007.0
+ Revision: 38343
- Increase release
- Use macros for icons
- Fix macros for docdir, iconsdir, ...
- Fix menu for xdg menu
- import kplayer-0.5.3-4mdk


* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-4mdk
- Fix build for non-i586

* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-3mdk
- Fix conflicts

* Sun Mar 27 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-2mdk
- %mkrel

* Sun Mar 27 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-1mdk
- New version

* Fri Feb 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.2-1mdk
-initial package

